{{/*
SPDX-FileCopyrightText: 2023 Bundesministerium des Innern und für Heimat, PG ZenDiS "Projektgruppe für Aufbau ZenDiS"
SPDX-License-Identifier: Apache-2.0
*/}}
{{- if .Values.namespaceWatcher.enabled }}
---
apiVersion: "rbac.authorization.k8s.io/v1"
kind: "ClusterRole"
metadata:
  name: {{ include "common.names.fullname" . | quote }}
  # "namespace" omitted since ClusterRoles are not namespaced
rules:
- apiGroups: [""]
  resources: ["services"]
  verbs: ["get", "list"]
...
{{- end }}
